# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _obexftp

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


IRDA = _obexftp.IRDA
INET = _obexftp.INET
CABLE = _obexftp.CABLE
BLUETOOTH = _obexftp.BLUETOOTH
USB = _obexftp.USB
SYNC = _obexftp.SYNC
PUSH = _obexftp.PUSH
FTP = _obexftp.FTP

discover = _obexftp.discover

scanbt = _obexftp.scanbt
class client(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, client, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, client, name)
    def __repr__(self):
        return "<C obexftp_client_t instance at %s>" % (self.this,)
    def __init__(self, *args):
        _swig_setattr(self, client, 'this', _obexftp.new_client(*args))
        _swig_setattr(self, client, 'thisown', 1)
    def __del__(self, destroy=_obexftp.delete_client):
        try:
            if self.thisown: destroy(self)
        except: pass
    def discover(*args): return _obexftp.client_discover(*args)
    def connect(*args): return _obexftp.client_connect(*args)
    def connectpush(*args): return _obexftp.client_connectpush(*args)
    def connectsync(*args): return _obexftp.client_connectsync(*args)
    def disconnect(*args): return _obexftp.client_disconnect(*args)
    def chpath(*args): return _obexftp.client_chpath(*args)
    def mkpath(*args): return _obexftp.client_mkpath(*args)
    def cdup(*args): return _obexftp.client_cdup(*args)
    def cdtop(*args): return _obexftp.client_cdtop(*args)
    def get(*args): return _obexftp.client_get(*args)
    def list(*args): return _obexftp.client_list(*args)
    def get_capability(*args): return _obexftp.client_get_capability(*args)
    def put_file(*args): return _obexftp.client_put_file(*args)
    def put_data(*args): return _obexftp.client_put_data(*args)
    def delete(*args): return _obexftp.client_delete(*args)

class clientPtr(client):
    def __init__(self, this):
        _swig_setattr(self, client, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, client, 'thisown', 0)
        _swig_setattr(self, client,self.__class__,client)
_obexftp.client_swigregister(clientPtr)


